package com.mx.cneeds.server.device;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.WebApplicationType;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @ClassName DeviceApplication
 * @Author zzrdark
 * @Date 2020-01-06 15:24
 * @Description TODO
 **/
@SpringBootApplication
@EnableEurekaClient
@MapperScan("com.mx.cneeds.server.dao")
@EnableFeignClients
public class DeviceApplication {
    public static void main(String[] args) {
        new SpringApplicationBuilder(DeviceApplication.class).web(WebApplicationType.SERVLET).run(args);
    }
}
