package com.mx.cneeds.server.user.mqtt.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @author zzrdark
 */
@ConfigurationProperties(prefix = "spring.mqtt")
@Component
@Getter
@Setter
public class MqttProperties {

    private String username;

    private String password;

    private String hostUrl;

    private String clientId;

    private List<Map<String,String>> topics;

    private String completionTimeout;

    private Integer keepAlive;
}